<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.5" maxVersion="1.7" type="org.netbeans.modules.form.forminfo.JDialogFormInfo">
  <NonVisualComponents>
    <Container class="javax.swing.JPanel" name="jPanel1">
      <Properties>
        <Property name="name" type="java.lang.String" value="jPanel1" noResource="true"/>
      </Properties>

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <EmptySpace min="0" pref="359" max="32767" attributes="0"/>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <EmptySpace min="0" pref="204" max="32767" attributes="0"/>
          </Group>
        </DimensionLayout>
      </Layout>
    </Container>
  </NonVisualComponents>
  <Properties>
    <Property name="defaultCloseOperation" type="int" value="2"/>
    <Property name="title" type="java.lang.String" resourceKey="Form.title"/>
    <Property name="modal" type="boolean" value="true"/>
    <Property name="name" type="java.lang.String" value="Form" noResource="true"/>
    <Property name="resizable" type="boolean" value="false"/>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="formSizePolicy" type="int" value="1"/>
    <SyntheticProperty name="generateCenter" type="boolean" value="false"/>
  </SyntheticProperties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="2"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace min="-2" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="1" attributes="0">
                  <Component id="labelName" min="-2" max="-2" attributes="0"/>
                  <Component id="labelColor" alignment="1" min="-2" max="-2" attributes="0"/>
                  <Component id="labelValue" alignment="1" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace type="separate" min="-2" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Component id="textValue" alignment="0" pref="156" max="32767" attributes="1"/>
                  <Component id="textName" alignment="0" max="32767" attributes="1"/>
                  <Group type="102" alignment="1" attributes="0">
                      <Component id="buttonValidate" min="-2" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="buttonCancel" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <Component id="labelColorDisplay" min="-2" pref="28" max="-2" attributes="0"/>
              </Group>
              <EmptySpace min="-2" max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="textValue" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="labelValue" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace type="separate" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="textName" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="labelName" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace type="separate" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" alignment="0" attributes="0">
                      <Component id="labelColorDisplay" min="-2" pref="26" max="-2" attributes="0"/>
                      <EmptySpace min="-2" pref="12" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="buttonCancel" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="buttonValidate" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                  </Group>
                  <Component id="labelColor" alignment="0" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace max="32767" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="javax.swing.JLabel" name="labelValue">
      <Properties>
        <Property name="labelFor" type="java.awt.Component" editor="org.netbeans.modules.form.ComponentChooserEditor">
          <ComponentRef name="textValue"/>
        </Property>
        <Property name="text" type="java.lang.String" resourceKey="labelValue.text"/>
        <Property name="name" type="java.lang.String" value="labelValue" noResource="true"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="textValue">
      <Properties>
        <Property name="editable" type="boolean" value="false"/>
        <Property name="text" type="java.lang.String" resourceKey="textValue.text"/>
        <Property name="cursor" type="java.awt.Cursor" editor="org.netbeans.modules.form.editors2.CursorEditor">
          <Color id="Curseur de texte"/>
        </Property>
        <Property name="dragEnabled" type="boolean" value="true"/>
        <Property name="name" type="java.lang.String" value="textValue" noResource="true"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="labelName">
      <Properties>
        <Property name="labelFor" type="java.awt.Component" editor="org.netbeans.modules.form.ComponentChooserEditor">
          <ComponentRef name="textName"/>
        </Property>
        <Property name="text" type="java.lang.String" resourceKey="labelName.text"/>
        <Property name="name" type="java.lang.String" value="labelName" noResource="true"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="textName">
      <Properties>
        <Property name="text" type="java.lang.String" resourceKey="textName.text"/>
        <Property name="dragEnabled" type="boolean" value="true"/>
        <Property name="name" type="java.lang.String" value="textName" noResource="true"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="labelColor">
      <Properties>
        <Property name="labelFor" type="java.awt.Component" editor="org.netbeans.modules.form.ComponentChooserEditor">
          <ComponentRef name="labelColorDisplay"/>
        </Property>
        <Property name="text" type="java.lang.String" resourceKey="labelColor.text"/>
        <Property name="name" type="java.lang.String" value="labelColor" noResource="true"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="labelColorDisplay">
      <Properties>
        <Property name="background" type="java.awt.Color" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
          <Connection code="state.getColor()" type="code"/>
        </Property>
        <Property name="foreground" type="java.awt.Color" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
          <Connection code="state.getColor()" type="code"/>
        </Property>
        <Property name="text" type="java.lang.String" resourceKey="labelColorDisplay.text"/>
        <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
          <Border info="org.netbeans.modules.form.compat2.border.LineBorderInfo">
            <LineBorder/>
          </Border>
        </Property>
        <Property name="cursor" type="java.awt.Cursor" editor="org.netbeans.modules.form.editors2.CursorEditor">
          <Color id="Curseur par d&#xe9;faut"/>
        </Property>
        <Property name="name" type="java.lang.String" value="labelColorDisplay" noResource="true"/>
        <Property name="opaque" type="boolean" value="true"/>
      </Properties>
      <Events>
        <EventHandler event="mouseClicked" listener="java.awt.event.MouseListener" parameters="java.awt.event.MouseEvent" handler="labelColorDisplayMouseClicked"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="buttonCancel">
      <Properties>
        <Property name="text" type="java.lang.String" resourceKey="buttonCancel.text"/>
        <Property name="name" type="java.lang.String" value="buttonCancel" noResource="true"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="buttonCancelActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="buttonValidate">
      <Properties>
        <Property name="text" type="java.lang.String" resourceKey="buttonValidate.text"/>
        <Property name="name" type="java.lang.String" value="buttonValidate" noResource="true"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="buttonValidateActionPerformed"/>
      </Events>
    </Component>
  </SubComponents>
</Form>
